# Scripts

Bash scripts for interacting with files

## Installation

All files require bash to be installed (default location of `/bin/bash`). 

`convert2dds` and `dds2png` require [ImageMagick](https://imagemagick.org/index.php) and [Nvidia Texture Tools](https://github.com/HeliumProject/NvidiaTextureTools) to be installed and available in your `$PATH`.

## Usage

### convert2dds

converts any number of files to `.dds` format, automatically choosing dxt1 or dxt5 depending on if the source image has anything in its alpha channel. Designed to be used with a glob, e.g: `convert2dds *.png`

### dds2png

converts any number of files to `.png` from `.dds`. Designed to be used with a glob, e.g: `dds2png *.dds`